Subject: [Isis-wg] [Technical Errata Reported] RFC6822 (4521)

From: RFC Errata System <[email-masked]>
Date: Sun, 1 Nov 2015 23:52:10 -0800 (PST)

The following errata report has been submitted for RFC6822,
"IS-IS Multi-Instance".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6822&eid=4521

--------------------------------------
Type: Technical
Reported by: Alexander Okonnikov <[email-masked]>

Section: 2.6.2

Original Text
-------------
   In order for an MI-RTR to interoperate over a point-to-point 
   circuit with a router that does NOT support this extension, the 
   MI-RTR MUST NOT send IS-IS PDUs for instances other than IID #0 
   over the point-to-point circuit as these PDUs may affect the state 
   of IID #0 in the neighbor.

Corrected Text
--------------
   Note: The procedure below should not be used when MI-RTR is 
   operating in point-to-point mode over broadcast circuit 
   [RFC 5309].

   In order for an MI-RTR to interoperate over a point-to-point 
   circuit with a router that does NOT support this extension, the 
   MI-RTR MUST NOT send IS-IS PDUs for instances other than IID #0 
   over the point-to-point circuit as these PDUs may affect the state 
   of IID #0 in the neighbor.

Notes
-----
This is not needed to follow procedure described in 2.6.2 while operating in point-to-point mode over broadcast circuit. New MAC addresses are used for PDUs of non-zero instances, hence standard instance will not be compromised.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6822 (draft-ietf-isis-mi-08)
--------------------------------------
Title               : IS-IS Multi-Instance
Publication Date    : December 2012
Author(s)           : S. Previdi, Ed., L. Ginsberg, M. Shand, A. Roy, D. Ward
Category            : PROPOSED STANDARD
Source              : IS-IS for IP Internets
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Tue, 3 Nov 2015 17:42:16 +0000

The changes proposed in this errata are not needed. 

Section 2.6.2 is entitled " Interoperability Using Point-to-Point Circuits".
Broadcast media is NOT a "point-to-point circuit".

The Introduction of RFC 5309 states:

" Point-to-point and broadcast are the two predominant circuit types
   used by link state routing protocols such as IS-IS ..."

 Therefore mention of RFC 5309 in this section is neither required nor appropriate. The errata should be rejected.

   Les

> -----Original Message-----
> From: RFC Errata System [mailto:[email-masked]]
> Sent: Sunday, November 01, 2015 11:52 PM
> To: Stefano Previdi (sprevidi); Les Ginsberg (ginsberg);
> [email-masked]; Abhay Roy (akr); David Ward (wardd);
> [email-masked]; [email-masked]; Alvaro Retana (aretana);
> [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked]; rfc-editor@rfc-
> editor.org
> Subject: [Technical Errata Reported] RFC6822 (4521)
> 
> The following errata report has been submitted for RFC6822, "IS-IS Multi-
> Instance".
> 
> This is not needed to follow procedure described in 2.6.2 while operating in
> point-to-point mode over broadcast circuit. New MAC addresses are used for
> PDUs of non-zero instances, hence standard instance will not be
> compromised.
> 
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please use
> "Reply All" to discuss whether it should be verified or rejected. When a
> decision is reached, the verifying party (IESG) can log in to change the status
> and edit the report, if necessary.
>

---

From: Alexander Okonnikov <[email-masked]>
Date: Wed, 04 Nov 2015 14:13:29 +0300

There is ambiguity what is mean for "circuit"? Is it broadcast vs 
point-to-point media? Or is it type of circuit from point of view of 
IS-IS? For latter point-to-point media and point-to-point over LAN both 
are point-to-point circuits. I.e. once broadcast link is configured as 
point-to-point, it is treated by IS-IS as point-to-point circuit, and 
procedures for point-to-point (like Hello protocol) are followed for 
this circuit.

Section 4 of RFC 5309 states:

The idea is very simple: provide a configuration mechanism to inform the 
IGP that the circuit is type point-to-point, irrespective of the 
physical media type. For the IGP, this implies that it will send 
protocol packets with the appropriate point-to-point information, and it 
expects to receive protocol packets as they would be received on a 
point-to-point circuit.

Thanks.

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Thu, 5 Nov 2015 13:08:27 +0000

Alexander -

The word "circuit" in both ISO 10589 and RFC 5309 is consistently used to refer to the underlying media type. The fact that in one instance in RFC 5309 the word is used inconsistently doesn't invalidate the many other uses.

Further, since the preceding section of RFC 6822 (2.6.1) is entitled "Interoperability Issues on Broadcast Circuits" it is hard for me to understand how you could think Section 2.6.2 includes a LAN operating in point-to-point mode.

However, it is hard for me to find much enthusiasm for arguing about this. It seems clear at this point that there is a need for a BIS draft - in part because of the filed Errata - but also because of other issues discussed off-list - all of which will soon be made public. Please plan to review the BIS when it is published and let us know if you still have concerns.

Thanx.

   Les

> From: Alexander Okonnikov [mailto:[email-masked]]
> Sent: Wednesday, November 04, 2015 3:13 AM
> To: Les Ginsberg (ginsberg); RFC Errata System; Stefano Previdi (sprevidi);
> Cc: [email-masked]
> Subject: Re: [Technical Errata Reported] RFC6822 (4521)
> 
> There is ambiguity what is mean for "circuit"? Is it broadcast vs point-to-point
> media? Or is it type of circuit from point of view of IS-IS? For latter point-to-
> point media and point-to-point over LAN both are point-to-point circuits. I.e.
> once broadcast link is configured as point-to-point, it is treated by IS-IS as
> point-to-point circuit, and procedures for point-to-point (like Hello protocol)
> are followed for this circuit.
> 
> The idea is very simple: provide a configuration mechanism to inform the IGP
> that the circuit is type point-to-point, irrespective of the physical media type.
> For the IGP, this implies that it will send protocol packets with the
> appropriate point-to-point information, and it expects to receive protocol
> packets as they would be received on a point-to-point circuit.
> 
> Thanks.
> 
> >   Therefore mention of RFC 5309 in this section is neither required nor
> appropriate. The errata should be rejected.
> >
> >     Les
> >
> >
> >> The following errata report has been submitted for RFC6822, "IS-IS
> >> Multi- Instance".
> >>
> >> This is not needed to follow procedure described in 2.6.2 while
> >> operating in point-to-point mode over broadcast circuit. New MAC
> >> addresses are used for PDUs of non-zero instances, hence standard
> >> instance will not be compromised.
> >>
> >> Instructions:
> >> -------------
> >> use "Reply All" to discuss whether it should be verified or rejected.
> >> When a decision is reached, the verifying party (IESG) can log in to
> >> change the status and edit the report, if necessary.
> >>